<?php
/**
 * Project: 
 * Contenido Content Management System
 * 
 * Description: 
 * 
 * Requirements: 
 * @con_php_req 5
 *
 * @package    ContenidoBackendArea
 * @version    0.2
 * @author     unknown
 * @copyright  four for business AG <www.4fb.de>
 * @license    http://www.contenido.org/license/LIZENZ.txt
 * @link       http://www.4fb.de
 * @link       http://www.contenido.org
 * 
 * 
 * 
 * {@internal 
 *   created  unknown
 *   modified 2008-07-07, bilal arslan, added security fix
 *   modified 2011-03-21, Murat Purc, usage of new db connection
 *
 *   $Id$:
 * }}
 * 
 */
if(!defined('CON_FRAMEWORK')) {
    die('Illegal call');
}

class cSetupClientAdjust extends cSetupMask {
    
    function __construct($step, $previous, $next) {
        global $cfg;
        
        $cfg["tab"]["sequence"] = $_SESSION["dbprefix"]."_sequence";
        
        cSetupMask::__construct("templates/setup/forms/pathinfo.tpl", $step);
        $this->setHeader(i18n_setup("Client Settings"));
        $this->_oStepTemplate->set("s", "TITLE", i18n_setup("Client Settings"));
        $this->_oStepTemplate->set("s", "DESCRIPTION", i18n_setup("Please check the directories identified by the system. If you need to change a client path, click on the name and enter your new path in the available input box."));
        
        $db = getSetupMySQLDBConnection();
        
        $aClients = listClients($db, $_SESSION["dbprefix"]."_clients");
        
        $cHTMLErrorMessageList = new cHTMLErrorMessageList;
        $cHTMLErrorMessageList->setStyle("width: 100%; height: 200px; overflow: auto; border: 1px solid black;");
        $cHTMLFoldableErrorMessages = array();
        
        $aPathList = array();
        
        list($a_root_path, $a_root_http_path) = getSystemDirectories();
        
        #@include($a_root_path . "/admin/includes/config.php");
        @include($a_root_path . "/admin/data/config/config.php");
        
        foreach ($aClients as $iIdClient => $aInfo) {
            # New method -->
            if (!isset($_SESSION["frontendpath"][$iIdClient]) || $_SESSION["frontendpath"][$iIdClient] == "") {
                $aRootPath = explode('/', $a_root_path);
                $aFrontendPath = explode('/', $aInfo['frontendpath']);
                $aNewFrontendPath = array();
                for ($i = (count($aFrontendPath) - 2); $i >= 0; $i --) {
                    for ($j = (count($aRootPath) - 1); $j >= 0; $j --) {
                        if ($aFrontendPath[$i] == $aRootPath[$j]) {
                            for ($k = 0; $k <= $j; $k ++) {
                                $aNewFrontendPath[] = $aRootPath[$k];
                            }
                            for ($k = ($i + 1), $l = count($aFrontendPath); $k < $l; $k ++) {
                                $aNewFrontendPath[] = $aFrontendPath[$k];
                            }
                            $_SESSION["frontendpath"][$iIdClient] = implode('/', $aNewFrontendPath);
                            break(2);
                        }
                    }
                }
            }
            if (!isset($_SESSION["htmlpath"][$iIdClient]) || $_SESSION["htmlpath"][$iIdClient] == "") {
                $aRootPath = explode('/', $a_root_http_path);
                $aFrontendPath = explode('/', $aInfo['htmlpath']);
                $aNewFrontendPath = array();
                for ($i = (count($aFrontendPath) - 2); $i >= 0; $i --) {
                    for ($j = (count($aRootPath) - 1); $j >= 0; $j --) {
                        if ($aFrontendPath[$i] == $aRootPath[$j]) {
                            for ($k = 0; $k <= $j; $k ++) {
                                $aNewFrontendPath[] = $aRootPath[$k];
                            }
                            for ($k = ($i + 1), $l = count($aFrontendPath); $k < $l; $k ++) {
                                $aNewFrontendPath[] = $aFrontendPath[$k];
                            }
                            $_SESSION["htmlpath"][$iIdClient] = implode('/', $aNewFrontendPath);
                            break(2);
                        }
                    }
                }
            }
            # <-- New method
            # Old method (just in case the new method didn't work) -->
            if (!isset($_SESSION["frontendpath"][$iIdClient]) || $_SESSION["frontendpath"][$iIdClient] == "") {
                $iDifferencePos = findSimilarText($a_root_path, $aInfo["frontendpath"]);
                
                if ($iDifferencePos !== false) {
                    $sClientPath = $a_root_path ."/". substr($aInfo["frontendpath"], $iDifferencePos + 1, strlen($aInfo["frontendpath"]) - $iDifferencePos);
                
                    $_SESSION["frontendpath"][$iIdClient] = $sClientPath;
                } else {
                    $_SESSION["frontendpath"][$iIdClient] = $aInfo["frontendpath"];    
                }
            }
            if (!isset($_SESSION["htmlpath"][$iIdClient]) || $_SESSION["htmlpath"][$iIdClient] == "") {
                /* Use frontendpath instead of htmlpath as the directories should be aligned pairwise */
                $iDifferencePos = findSimilarText($a_root_path, $aInfo["frontendpath"]);
                
                if ($iDifferencePos !== false) {
                    $sClientPath = $a_root_http_path . "/".substr($aInfo["frontendpath"], $iDifferencePos + 1, strlen($aInfo["frontendpath"]) - $iDifferencePos);
                    $_SESSION["htmlpath"][$iIdClient] = $sClientPath;
                } else {
                    $_SESSION["htmlpath"][$iIdClient] = $aInfo["htmlpath"];
                }
            }
            # <-- Old method (just in case the new method didn't work)
            
            $sName = sprintf(i18n_setup("Old server path for %s (%s)"), $aInfo["name"], $iIdClient) . ':<br>';
            #$sName .= $aInfo["frontendpath"] . '<br><br>';
            $oSystemPathBox = new cHTMLTextbox("oldfrontendpath[$iIdClient]", $aInfo['frontendpath']);
            $oSystemPathBox->setWidth(100);
            $oSystemPathBox->setClass("small");
            $oSystemPathBox->setStyle('margin-bottom: 8px; background-color: transparent; border: 0 none;');
            $oSystemPathBox->setReadOnly();
            $sName .= $oSystemPathBox->toHtml() . '<br>';
            $sName .= sprintf(i18n_setup("New server path for %s (%s)"), $aInfo["name"], $iIdClient) . ':<br>';
            $oSystemPathBox = new cHTMLTextbox("frontendpath[$iIdClient]", $_SESSION["frontendpath"][$iIdClient]);
            $oSystemPathBox->setWidth(100);
            $oSystemPathBox->setClass("small");
            $oClientSystemPath = new cHTMLInfoMessage(array($sName, $oSystemPathBox), '');
            $oClientSystemPath->_oTitle->setStyle("padding: 2px 4px 6px 4px; border-bottom: 0 none !important;");
            
            $aPathList[] = $oClientSystemPath;
            
            $sName = sprintf(i18n_setup("Old web path for %s (%s)"), $aInfo["name"], $iIdClient) . ':<br>';
            #$sName .= $aInfo["htmlpath"] . '<br><br>';
            $oSystemPathBox = new cHTMLTextbox("oldhtmlpath[$iIdClient]", $aInfo['htmlpath']);
            $oSystemPathBox->setWidth(100);
            $oSystemPathBox->setClass("small");
            $oSystemPathBox->setStyle('margin-bottom: 8px; background-color: transparent; border: 0 none;');
            $oSystemPathBox->setReadOnly();
            $sName .= $oSystemPathBox->toHtml() . '<br>';
            $sName .= sprintf(i18n_setup("New web path for %s (%s)"), $aInfo["name"], $iIdClient) . ':<br>';
            $oSystemPathBox = new cHTMLTextbox("htmlpath[$iIdClient]", $_SESSION["htmlpath"][$iIdClient]);
            $oSystemPathBox->setWidth(100);
            $oSystemPathBox->setClass("small");
            $oClientSystemPath = new cHTMLInfoMessage(array($sName, $oSystemPathBox), '');
            $oClientSystemPath->_oTitle->setStyle('padding: 8px 4px 8px 4px; border-bottom: ' . ((count($aClients) > 1) ? '1' : '0') . 'px solid rgb(127, 127, 127) !important;');
            
            $aPathList[] = $oClientSystemPath;
        }
        
        $cHTMLErrorMessageList->setContent($aPathList);
        
        $this->_oStepTemplate->set("s", "CONTROL_PATHINFO", $cHTMLErrorMessageList->render());
        
        $this->setNavigation($previous, $next);
    }
}
?>